org.aspectj.runtime.internal.cflowstack

## Class ThreadCounterImpl11

- java.lang.Object
- - org.aspectj.runtime.internal.cflowstack.ThreadCounterImpl11

All Implemented Interfaces:
  ThreadCounter

    public class ThreadCounterImpl11
    extends Object
    implements ThreadCounter

### Constructor Summary

Constructors
Constructor and Description
`ThreadCounterImpl11()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dec()`
`void` `inc()`
`boolean` `isNotZero()`
`void` `removeThreadCounter()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ThreadCounterImpl11

    public ThreadCounterImpl11()

### Method Detail

#### inc

    public void inc()

Specified by:
  `inc` in interface `ThreadCounter`

#### dec

    public void dec()

Specified by:
  `dec` in interface `ThreadCounter`

#### isNotZero

    public boolean isNotZero()

Specified by:
  `isNotZero` in interface `ThreadCounter`

#### removeThreadCounter

    public void removeThreadCounter()

Specified by:
  `removeThreadCounter` in interface `ThreadCounter`